Subject: Re: bug#65340: further build failure on Android (Termux)

From: Po Lu <[email-masked]>
Date: Thu, 17 Aug 2023 22:02:24 +0800

Bruno Haible <[email-masked]> writes:

> Po Lu wrote:
>> Thanks, both problems you mentioned should now be fixed.
>
> Thanks. configure now displays
>
>   checking for library containing tputs... -ltinfo
>
> But I still get a link error, due to configure.ac line 6062. I needed
> to change this line
>   mingw32 | android)
> to
>   mingw32)
> in order for the build to go further.
>
> With this done, "make" succeeds, and "make install" works fine as
> well.

I will fix this tomorrow, and thanks.

> If there are issues with "make check", I'll report them separately.

Please do, if they reflect functionality that is actually broken on
Android (or in general), rather than bugs in our test suite.  Bear in
mind that our test results are very tenuous, even on GNU/Linux systems
that Emacs developers regularly develop and test on.